///home/berryj/link/bin/genMethods "-g" "-t" "Set<Edge*>" "-h" "Set" "-r" "MSet<Set<Edge*> >" "-I" "LINK/graph/Edge.h" "-I" "LINK/basic/Set.h" "-d" "graph" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/graph/Edge.h>

#include <LINK/basic/Set.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>
#include <LINK/stkWrapper/CollectionWrapper.h>


typedef Set<Edge*> _Set_Edge__;
typedef Set<Set<Edge*> > _Set_Set_Edge___;
static Set<Set<Edge*> > s__Set_Set_Edge___;

#define _Set_Set_Edge___DATA(x) ((Set<Set<Edge*> >*) (EXTDATA(x)))
#define _Set_Set_Edge___IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Set<Set<Edge*> > >::type))
#define _Set_Set_Edge___ISNT_DATA(x) (!_Set_Set_Edge___IS_DATA(x))

#define _Set_Set_Edge___CXX_DATA(x) (*(Set<Set<Edge*> >*) (EXTDATA(VAL(x))))
#define _Set_Set_Edge___CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Set<Set<Edge*> > >::type))
#define _Set_Set_Edge___CXX_ISNT_DATA(x) (!_Set_Set_Edge___CXX_IS_DATA(x))


PRIMITIVE STk_init__Set_Set_Edge___()
{
	Wrapper<_Set_Set_Edge___>::type = STk_new_CXXwrapper_id(
			Wrapper<_Set_Set_Edge___>::name, 
			Wrapper<MSet<Set<Edge*> > >::name,
			(void (*)(SCM x, SCM port, int mode))
			CollectionWrapper<_Set_Edge__>::displayTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Set_Edge__>::markTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_Set_Edge__>::freeTypedCollection);
	Tcl_InitHashTable(&Register<_Set_Set_Edge___>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_Set_Set_Edge___Methods(void);

PRIMITIVE STk_init_methods__Set_Set_Edge___()
{
	genExtra_Set_Set_Edge___Methods();
	return UNDEFINED;
}
